Package twisted :: Package coil :: Module coil :: Class DispenserStorage

[show private | hide private]
[frames | no frames]

## Class DispenserStorage

A mini-database of dispensers.

When first created, traverses the tree of configcollections and configurators and loads all dispensers.

Method Summary
| `__init__(self, root)`
| ``addObject`(self, object)` Add the dispensers for an object and its config children.
| ``getDispensers`(self, interface)` Return a list of dispensers for a given interface.
| ``removeObject`(self, object)` Remove an object and its config children.

Method Details

### addObject(self, object)

Add the dispensers for an object and its config children.

### getDispensers(self, interface)

Return a list of dispensers for a given interface.

List items are in the form (instance, functionName, description).

### removeObject(self, object)

Remove an object and its config children.

Generated by Epydoc 1.1 on Thu May 8 13:18:17 2003 | http://epydoc.sf.net